Delete group type
curl --request DELETE \
--url https://staging.api.us.aptlydone.com/settings/v1/group-types/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/settings/v1/group-types/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/settings/v1/group-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:20.711Z",
"message": "Success",
"data": {
"id": "3201254a-c76c-4ab3-8ba5-dffbe3fd87e1",
"tenantId": "176c9cbd-c764-433a-9b5f-f35327513553",
"groupTypeName": "Department",
"shouldAllowEnableDisable": true,
"addressEnabled": false,
"isDefault": false,
"disableOption": "NA",
"isDeleted": false,
"status": "ACTIVE",
"createdBy": null,
"createdOn": "2024-12-18T09:50:43.338Z",
"updatedOn": "2024-12-18T09:50:43.338Z",
"updatedBy": null
}
}Groups
Delete group type
DELETE
/
v1
/
group-types
/
{id}
Delete group type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Tenant group type deleted successfully
Was this page helpful?
āI